%define name gcombust
%define version 0.1.31
%define release 1mdk

Name: %{name}
Summary: Gcombust is a burning cd frontend
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Archiving/Cd burning
URL: http://www.abo.fi/~jmunsin/gcombust/
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Requires: mkisofs cdrecord
#Icon: gcombust.xpm



%description
gcombust is a gtk+ frontend for mkisofs, mkhybrid, cdrecord and
cdlabelgen. It's written in C. It has primitive support for
controlling the directory (root) structure and size of image without
copying files/symlinking or writing 10 lines of arguments and can
maximize disk by hinting which directories/files to use.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gcombust-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}
make 
#-j 2

%install
#make install prefix=$RPM_BUILD_ROOT%{prefix}

#cd $RPM_BUILD_ROOT

#find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
#    $RPM_BUILD_DIR/file.list.%{name}

#find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
#       -e '/\/etc\//s|^|%config|' \
#       -e '/\/config\//s|^|%config|' \
#       >> $RPM_BUILD_DIR/file.list.%{name}

#find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
#    $RPM_BUILD_DIR/file.list.%{name}

[ "$RPM_BUILD_ROOT" != "/"] && [ -d $RPM_BUILD_ROOT ] && rm -rf \
$RPM_BUILD_ROOT;

mkdir -p $RPM_BUILD_ROO/usr/bin $RPM_BUILD_ROOT/usr/share/pixmaps
make prefix=$RPM_BUILD_ROOT/usr install-strip
install -m644 %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* THANKS ABOUT-NLS
/usr/bin/gcombust
/usr/share/pixmaps/gcombust.xpm


%changelog
* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.31-1mdk
- Updated version to 0.1.31-1mdk
- updated group
- updated file section of spec file.

* Tue Feb 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- new version 0.1.30

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.1.25

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without glib-1.3 :-((

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Initialisation spec file for Mandrake distribution.


* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
